Bug 238795 - math/saga: Update to 7.3.0
Summary: math/saga: Update to 7.3.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Wen Heping
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-25 04:42 UTC by Rainer Hurling
Modified: 2019-07-05 23:09 UTC (History)
1 user (show)

See Also:


Attachments
patch to update math/saga from 7.2.0 to 7.3.0 (7.16 KB, patch)
2019-06-25 04:42 UTC, Rainer Hurling
rhurlin: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Hurling freebsd_committer 2019-06-25 04:42:34 UTC
Created attachment 205319 [details]
patch to update math/saga from 7.2.0 to 7.3.0

This patch towards SAGA GIS version 7.3.0 brings some bug fixes and minor enhancements.

The most important change is the ability to use proj 6.x. It is now able to use graphics/proj 5.1.0 or instead the upcoming proj 6.1.x. So this is one of the last updates, bug #237932 is waiting for.


What the port update should do:
- Update SAGA GIS to version 7.3.0
- Change the compiler to clang 8.0.0
- Change to Python version 3.x (default)
- Renew some patches under files
- Update plist


Tested with Poudriere (F11.2i/a, F12.0i/a, and HEADi/a).

'portlint -AC' seems fine.
Comment 1 commit-hook freebsd_committer 2019-06-27 03:37:51 UTC
A commit references this bug:

Author: wen
Date: Thu Jun 27 03:37:12 UTC 2019
New revision: 505194
URL: https://svnweb.freebsd.org/changeset/ports/505194

Log:
  - Update to 6.1.0 and fix some ports
  - Add missing DEPENDS
  - Add TEST_TARGET
  - Take maintainership

  PR:		237932, 238795
  Submitted by:	wenheping2000@hotmail.com,rhurlin@gwdg.de
  Approved by:	maintainer(timeout, > 30 days), portmgr@(implicit, fix build)
  Exp-run by:	antoine@
  Thanks to:	antoine@, sunpoet@, rhurlin@gwdg.de

Changes:
  head/astro/libosmium/Makefile
  head/astro/merkaartor/Makefile
  head/cad/sumo/Makefile
  head/cad/sumo/distinfo
  head/cad/sumo/pkg-plist
  head/converters/osm2pgsql/Makefile
  head/databases/spatialite/Makefile
  head/databases/spatialite_gui/Makefile
  head/databases/spatialite_gui/distinfo
  head/devel/libght/Makefile
  head/graphics/R-cran-rgdal/Makefile
  head/graphics/R-cran-rgdal/distinfo
  head/graphics/libgeotiff/Makefile
  head/graphics/libgeotiff/distinfo
  head/graphics/libgeotiff/pkg-plist
  head/graphics/libreatlas/Makefile
  head/graphics/libreatlas/distinfo
  head/graphics/openorienteering-mapper/Makefile
  head/graphics/proj/Makefile
  head/graphics/proj/distinfo
  head/graphics/proj/pkg-plist
  head/graphics/py-cartopy/Makefile
  head/graphics/py-pyproj/Makefile
  head/graphics/py-pyproj/distinfo
  head/graphics/py-pyproj/pkg-descr
  head/math/R-cran-sf/Makefile
  head/math/R-cran-sf/distinfo
  head/math/octave-forge-octproj/Makefile
  head/math/octave-forge-octproj/distinfo
  head/math/saga/Makefile
  head/math/saga/distinfo
  head/math/saga/files/patch-configure.ac
  head/math/saga/files/patch-src_tools_io_io__shapes__las_las__export.cpp
  head/math/saga/files/patch-src_tools_io_io__shapes__las_las__import.cpp
  head/math/saga/files/patch-src_tools_io_io__shapes__las_las__info.h
  head/math/saga/pkg-plist
  head/science/cdo/Makefile
  head/science/gnudatalanguage/Makefile